#! /bin/sh
##############################################################################
##
## This file is part of messaging-service.
##
## Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
## All rights reserved.
##
## Contact: Reto Zingg <reto.zingg@nokia.com>
##
## This software, including documentation, is protected by copyright controlled
## by Nokia Corporation. All rights are reserved.
## Copying, including reproducing, storing, adapting or translating, any or all
## of this material requires the prior written consent of Nokia Corporation.
## This material also contains confidential information which may not be
## disclosed to others without the prior written consent of Nokia.
##
##############################################################################

##############################################################################
# The Clear User Data script for Messaging                                   #
##############################################################################

# Clear the first time when user data is cleared
GCONFTOOL='gconftool-2'

# Used for SMSC, delivery reports and emoticon theme
$GCONFTOOL --recursive-unset /Messaging/FirstTime

# Since Clear User Data should also Reset Factory Settings, we invoke that
# script from here.
/etc/osso-rfs-scripts/messaging-rfs.sh

# Nothing else to do: vcards and persistent notifications are a job for
# commhistoryd, and the messages belong to tracker.

