#! /bin/sh
##############################################################################
##
## This file is part of messaging-service.
##
## Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
## All rights reserved.
##
## Contact: Reto Zingg <reto.zingg@nokia.com>
##
## This software, including documentation, is protected by copyright controlled
## by Nokia Corporation. All rights are reserved.
## Copying, including reproducing, storing, adapting or translating, any or all
## of this material requires the prior written consent of Nokia Corporation.
## This material also contains confidential information which may not be
## disclosed to others without the prior written consent of Nokia.
##
##############################################################################

##############################################################################
# The Reset Factory Settings script for Messaging                            #
##############################################################################

GCONFTOOL='gconftool-2'

# Used for SMSC, delivery reports and emoticon theme
$GCONFTOOL --recursive-unset /Messaging/Settings

# NOTE: Reset factory settings is not enough to shown FirstTimePage again,
#       user data needs to be cleared.

# NOTE: "Message validity period" and "Message character encoding" properties
#       belongs to Mission Control, and that's why it's not reset here.

